---
schema_version: "1"
id: 0407e0634f21e77e14064c4c3a9eb4e038e0d2a106ea86c4d7c1615fd3ddbeff
title: VizQL Data Service Introduction
collection: tableau
version: current
locale: en-us
portal_url: https://docs.salesforce.com/tableau/current/en-us/api/vizql-data-service/index.md
canonical_url: https://help.tableau.com/current/api/vizql-data-service/en-us/index.html
source_site: help.tableau.com
content_type: documentation
content_hash: 87235dea8c743627ae7778f7ce170238b0debe95374ee0934b5122623f788737
description: Documentation for the VizQL Data Service
---
# VizQL Data Service Introduction

  

🕐 _3 min read_

The VizQL Data Service (VDS) provides a programmatic way for you to access your published data outside of a Tableau visualization. With a viz, you perform operations like dragging a pill to rows or columns. This accomplishes two things. It fetches data from the data source, and then creates a visualization of that data.

With VDS, you can fetch the data without any need for a visualization.

## How does it work?

VDS is a standard HTTP service with a [Query data source](https://help.tableau.com/current/api/vizql-data-service/en-us/reference/index.html#operation/QueryDatasource) method and a [Request data source metadata](https://help.tableau.com/current/api/vizql-data-service/en-us/reference/index.html#operation/ReadMetadata) method. In both methods, you describe your data request in the request body as a JSON object.

**Note**: VDS only works with [published data sources](https://help.tableau.com/current/pro/desktop/en-us/publish_datasources.htm), [composable data sources](https://help.tableau.com/current/pro/desktop/en-us/datasource_extend_compose.htm), or with workbook data sources in an interactive session.

## Endpoints

The endpoint for the Query data source method is:

`POST https://{your-pod}.online.tableau.com/api/v1/vizql-data-service/query-datasource`

The endpoint for the Request data source metadata method is:

`POST https://{your-pod}.online.tableau.com/api/v1/vizql-data-service/read-metadata`

**Note**: Your pod is in the first portion of the domain of your site URL after signing in to Tableau Cloud. For example, if your sign-in URL is https://10az.online.tableau.com, your pod is 10az.

## Required tools

There are many ways to make API requests. You can create your own or use existing tools like cURL and Postman. See the [VizQL Data Service Collection](https://www.postman.com/salesforce-developers/salesforce-developers/folder/ydjw53q/vizql-data-service) in the Tableau APIs Postman collection to help get you started.

## Availability

VDS is available for both Tableau Cloud and Tableau Server. To use VDS with Tableau Server, you must be on Tableau Server 2025.1 or later.